Skip to main content
`Ctrl`+`K`

# TSIRKType

String with the name of an implicit Runge-Kutta `TSIRK` type

## Synopsis

    #include <petscts.h>
    typedef const char *TSIRKType;
    #define TSIRKGAUSS "gauss"

## See Also

TS: Scalable ODE and DAE Solvers, `TSIRKSetType()`, `TS`, `TSIRK`, `TSIRKRegister()`

## Level

beginner

## Location

include/petscts.h

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages